#!/usr/bin/env python

from pylab import *
import sys

plt.figure(figsize=(5, 3))
rcParams['font.size'] = 8

a, b, f = loadtxt(sys.stdin, unpack=True)
title(sys.argv[1] if len(sys.argv) > 1 else "", loc='right')
hist(a, np.insert(b, 0, a[0]), weights=100*f/sum(f),
     histtype='stepfilled', color='#e3c5ca', edgecolor='#92182b')
xlabel(r'$\theta$ (radians)')
ylabel(r'$I(\theta)$ (a.u.)')

tight_layout()
name = sys.argv[2] if len(sys.argv) > 2 else "prova"
savefig('notes/images/' + name + '.pdf' )
