---
title: Statistical Analysis
subtitle: Exercises solutions
author:
  - Michele Guerini Rocco
  - Giulia Marcer
date: \today

lang: en-GB
numbersections: true
fontsize: 12pt
documentclass: article
geometry:
  - width=150mm
  - top=20mm
  - bottom=30mm

header-includes: |
  ```{=latex}
  % misc packages
  \usepackage{etoolbox}
  \usepackage{tikz}
  \usepackage{siunitx}

  % start new page with each section
  \pretocmd{\section}{\clearpage}{}{}

  % strict figure placement
  \usepackage{float}
  \floatplacement{figure}{H}

  % customer macros
  %% "with" in formulas
  \DeclareMathOperator*{\with}{%
    \hspace{30pt} \text{with} \hspace{30pt}  
  }
  %% "thus" in formulas
  \DeclareMathOperator*{\thus}{%
    \hspace{30pt} \Longrightarrow \hspace{30pt}  
  }
  %% "et" in formulas
  \DeclareMathOperator*{\et}{%
  \hspace{30pt} \wedge \hspace{30pt}
  }
  %% "if" in formulas
  \DeclareMathOperator*{\incase}{%
  \hspace{20pt} \text{if} \hspace{20pt}
  }

  \makeatletter         
  \renewcommand\maketitle{
    \begin{titlepage}
    \begin{center}
      {\LARGE STATISTICAL ANALYSIS \par}
      {\Huge \bfseries EXERCISES SOLUTIONS \par}
      \vspace{8mm}
      {\Large\uppercase{
        A detailed exposition on the exercises of the
        Statistical Analysis course and their solutions.
        Written in a time of great pestilence} \par}
      \vspace{8mm}
      {\Large BY \par}
      \vspace{8mm}
      {\Large\bfseries GIULIA MARCER \par}
      {\large AND \par}
      {\Large\bfseries MICHELE GUERINI ROCCO \par}
      \vfill
      \includegraphics[width=5cm]{images/cover.pdf}
      \vfill
      {\large \@date, Lombardy \par
              University of Milano Bicocca}
    \end{center}
    \end{titlepage}
  }
  \makeatother

  % configure captions
  \usepackage{caption}
  \captionsetup{font={footnotesize,it}}
  \captionsetup{width=11cm}
  \usepackage{stmaryrd}
  ```

bibliography: docs/bibliography.bib
csl: docs/bibliography.csl
---
